package cn.cecep.talroad.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author hehongyu
 * @description: 标签值枚举
 * @date 2023/6/28 21:41
 */
@Getter
@AllArgsConstructor
public enum LabelValueEnum {
    CODE_1001("1001","50%（含）以下"),
    CODE_1002("1002","50%以上75%（含）以下"),
    CODE_1003("1003","75%以上"),

    CODE_1044("1044","无超标"),
    CODE_1045("1045","一倍以内"),
    CODE_1046("1046","一倍以上二倍以下"),
    CODE_1047("1047","二倍以上"),

    CODE_1048("1048","超总量"),
    CODE_1049("1049","不超总量"),

    CODE_1060("1060","10%<单项重点污染物减排量≤30%"),
    CODE_1061("1061","30%<单项重点污染物减排量≤50%"),
    CODE_1062("1062","单项重点污染物减排量>50%"),

    CODE_JG004_1001("1001","执行报告未提交"),
    CODE_JG004_1002("1002","执行报告已提交"),

    CODE_JG005_1001("1001","执行报告不规范"),
    CODE_JG005_1002("1002","执行报告规范"),

    ;

    private final String argumentsCode;
    private final String argumentsName;
}
